Browse Source

GNU tar 1.13

Paul Eggert 28 năm trước cách đây
mục cha
commit
1a110ed9de
1 tập tin đã thay đổi với 26 bổ sung0 xóa
  1. 26 0
      tests/delete02.sh

+ 26 - 0
tests/delete02.sh

@@ -0,0 +1,26 @@
+#! /bin/sh
+# Deleting a member with the archive from stdin was not working correctly.
+
+. ./preset
+. $srcdir/before
+
+set -e
+genfile -l 3073 -p zeros > 1
+cp 1 2
+cp 2 3
+tar cf archive 1 2 3
+tar tf archive
+cat archive | tar f - --delete 2 > archive2
+echo -----
+tar tf archive
+
+out="\
+1
+2
+3
+-----
+1
+3
+"
+
+. $srcdir/after